Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.event
Class EnversPreCollectionRemoveEventListenerImpl

    java.lang.Object
      org.hibernate.envers.event.BaseEnversEventListener
          org.hibernate.envers.event.BaseEnversCollectionEventListener
              org.hibernate.envers.event.EnversPreCollectionRemoveEventListenerImpl

All Implemented Interfaces:
  Serializable, EnversListener, PreCollectionRemoveEventListener

    public class EnversPreCollectionRemoveEventListenerImpl

extends BaseEnversCollectionEventListener
implements PreCollectionRemoveEventListener

See Also:
  Serialized Form

Constructor Summary
`protected` | `EnversPreCollectionRemoveEventListenerImpl(AuditConfiguration enversConfiguration)`

Method Summary
`void` | `onPreRemoveCollection(PreCollectionRemoveEvent event)`

Methods inherited from class org.hibernate.envers.event.BaseEnversCollectionEventListener
`getCollectionEntry, onCollectionAction`

Methods inherited from class org.hibernate.envers.event.BaseEnversEventListener
`generateBidirectionalCollectionChangeWorkUnits, getAuditConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnversPreCollectionRemoveEventListenerImpl

    protected EnversPreCollectionRemoveEventListenerImpl(AuditConfiguration enversConfiguration)

Method Detail

### onPreRemoveCollection

    public void onPreRemoveCollection(PreCollectionRemoveEvent event)

  Specified by:
    `onPreRemoveCollection` in interface `PreCollectionRemoveEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.